<?php
	class PluginFixture extends CakeTestFixture {		
		public $table = 'core_plugins';
		
		public $fields = array(
			'id' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 36, 'key' => 'primary', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'internal_name' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 50, 'key' => 'unique', 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'name' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'author' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 100, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'website' => array('type' => 'string', 'null' => false, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'update_url' => array('type' => 'string', 'null' => false, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'description' => array('type' => 'string', 'null' => false, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'license' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 75, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'dependancies' => array('type' => 'text', 'null' => false, 'default' => NULL, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'version' => array('type' => 'string', 'null' => false, 'default' => NULL, 'length' => 10, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
			'active' => array('type' => 'boolean', 'null' => false, 'default' => '1'),
			'core' => array('type' => 'boolean', 'null' => false, 'default' => NULL),
			'created' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
			'modified' => array('type' => 'datetime', 'null' => true, 'default' => NULL),
			'indexes' => array('PRIMARY' => array('column' => 'id', 'unique' => 1), 'internal_name' => array('column' => 'internal_name', 'unique' => 1)),
			'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
		);
	
		public $records = array(
			array(
				'id' => '4c94edcb-3394-4e47-ad23-78d86318cd70',
				'internal_name' => 'Google',
				'name' => 'Google',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:google',
				'description' => '',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-07-25 14:06:06',
				'modified' => '2011-07-25 14:22:36'
			),
			array(
				'id' => '4c94edcb-4468-4d97-87ad-78d86318cd70',
				'internal_name' => 'Categories',
				'name' => 'Categories',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:categories',
				'description' => 'Categorize your content',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:54',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4c94edcb-9624-4ce3-acfe-78d86318cd70',
				'internal_name' => 'Comments',
				'name' => 'Comments',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:comments',
				'description' => 'See what your users have to say',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:55',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4c94edcc-4ec0-4c4e-97de-78d86318cd70',
				'internal_name' => 'Contact',
				'name' => 'Contact',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:contact',
				'description' => 'Display your contact details and allow users to contact you',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.2',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:55',
				'modified' => '2011-07-25 14:54:40'
			),
			array(
				'id' => '4c94edcc-84ec-47c9-963d-78d86318cd70',
				'internal_name' => 'Filter',
				'name' => 'Filter',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:filter',
				'description' => '',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:57',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4c94edcc-9b50-49e6-9af3-78d86318cd70',
				'internal_name' => 'Events',
				'name' => 'Events',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:events',
				'description' => '',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:56',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4c94edcc-aa7c-4509-9c18-78d86318cd70',
				'internal_name' => 'Filemanager',
				'name' => 'Filemanager',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:filemanager',
				'description' => 'Allow you to manage files from the backend',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:57',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4c94edcc-ac70-474f-a4a3-78d86318cd70',
				'internal_name' => 'Data',
				'name' => 'Data',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:data',
				'description' => '',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:56',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4c94edcc-e084-44d8-bce8-78d86318cd70',
				'internal_name' => 'Installer',
				'name' => 'Installer',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:installer',
				'description' => 'Manage your Infinitas install',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:54',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edcd-1014-4fd1-871c-78d86318cd70',
				'internal_name' => 'MeioUpload',
				'name' => 'MeioUpload',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:meio_upload',
				'description' => '',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:00',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edcd-6834-4aed-913f-78d86318cd70',
				'internal_name' => 'Locks',
				'name' => 'Locks',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:locks',
				'description' => 'Stop others editing things you are working on',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:58',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edcd-a188-49bb-8a08-78d86318cd70',
				'internal_name' => 'Libs',
				'name' => 'Libs',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:libs',
				'description' => '',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:58',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edcd-a7d4-40dd-ae3e-78d86318cd70',
				'internal_name' => 'Menus',
				'name' => 'Menus',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:menus',
				'description' => 'Build menus for your site',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:00',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edcd-cd3c-4428-9327-78d86318cd70',
				'internal_name' => 'Migrations',
				'name' => 'Migrations',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:migrations',
				'description' => '',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:00',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edcd-cde8-4d91-b5d5-78d86318cd70',
				'internal_name' => 'Management',
				'name' => 'Setup',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:management',
				'description' => 'Configure Your site',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:00',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edcd-ed34-4a23-b4e2-78d86318cd70',
				'internal_name' => 'Modules',
				'name' => 'Modules',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:modules',
				'description' => 'Add sections of output to your site with ease',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.2',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:02',
				'modified' => '2011-08-05 12:15:31'
			),
			array(
				'id' => '4c94edce-6ba4-4246-900f-78d86318cd70',
				'internal_name' => 'Themes',
				'name' => 'Themes',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:themes',
				'description' => 'Theme your site',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:04',
				'modified' => '2011-07-25 13:49:43'
			),
			array(
				'id' => '4c94edce-a440-453b-bcda-78d86318cd70',
				'internal_name' => 'Tags',
				'name' => 'Tags',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:tags',
				'description' => 'Attach tags to records',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:04',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edce-f07c-4564-bc30-78d86318cd70',
				'internal_name' => 'Newsletter',
				'name' => 'Newsletter',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:newsletter',
				'description' => 'Keep in contact with your user base',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:03',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4c94edce-f8dc-4dd3-907f-78d86318cd70',
				'internal_name' => 'Webmaster',
				'name' => 'Webmaster',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:webmaster',
				'description' => 'Manage your sites robots files and sitemaps',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:05',
				'modified' => '2011-07-25 13:49:43'
			),
			array(
				'id' => '4c94edce-fa1c-4abb-9ca6-78d86318cd70',
				'internal_name' => 'Routes',
				'name' => 'Routes',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:routes',
				'description' => 'Route pretty urls to your code',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:03',
				'modified' => '2011-08-09 14:40:59'
			),
			array(
				'id' => '4c94edce-fba0-4fee-bb03-78d86318cd70',
				'internal_name' => 'Users',
				'name' => 'Users',
				'author' => 'Infinitas',
				'website' => 'infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:users',
				'description' => 'Manage your community',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.2',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:04',
				'modified' => '2011-08-09 14:45:35'
			),
			array(
				'id' => '4cbc4e7e-b798-4aad-bc22-16836318cd70',
				'internal_name' => 'Emails',
				'name' => 'Emails',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:emails',
				'description' => 'Manage your emails',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '1.0',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:56',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4cbc74a9-8fe8-43da-aaa4-20786318cd70',
				'internal_name' => 'Feed',
				'name' => 'Feed',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:feed',
				'description' => 'Provide RSS feeds of anything to your users',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:57',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4cbd6788-2c28-4339-8917-47b96318cd70',
				'internal_name' => 'ShortUrls',
				'name' => 'ShortUrls',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:short_urls',
				'description' => 'Generate your own short urls',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:03',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4cdc2083-430c-42f1-be78-235e6318cd70',
				'internal_name' => 'Backlinks',
				'name' => 'Backlinks',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:backlinks',
				'description' => 'Keep track of who is linking to you',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:15:54',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4cdc2282-927c-46c3-81ee-247a6318cd70',
				'internal_name' => 'Thickbox',
				'name' => 'Thickbox',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:thickbox',
				'description' => 'Add a thickbox effect to your Infinitas powered site with this easy to use plugin',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:16:04',
				'modified' => '2011-07-25 13:49:43'
			),
			array(
				'id' => '4cdc22c5-c058-4049-9dc7-247a6318cd70',
				'internal_name' => 'WysiwygCkEditor',
				'name' => 'WysiwygCkEditor',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:wysiwyg_ck_editor',
				'description' => 'Make content editing easy with the CK Editor. Plug and play for your Infinitas powered site',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:16:05',
				'modified' => '2011-07-25 13:49:43'
			),
			array(
				'id' => '4cdc2320-49b4-417a-9dc5-247a6318cd70',
				'internal_name' => 'WysiwygTinyMce',
				'name' => 'WysiwygTinyMce',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:wysiwyg_tiny_mce',
				'description' => 'Make content editing easy with the TinyMCE Editor. Plug and play for your Infinitas powere',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:16:05',
				'modified' => '2011-07-25 13:49:43'
			),
			array(
				'id' => '4cdc2397-f870-4615-ae65-247a6318cd70',
				'internal_name' => 'DebugKit',
				'name' => 'DebugKit',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:debug_kit',
				'description' => 'A customized version of the CakePHP debug_kit specially designed for Infinitas',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:15:56',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4cdc264b-9d50-42b4-834b-2a206318cd70',
				'internal_name' => 'Gallery',
				'name' => 'Gallery',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:gallery',
				'description' => 'Create and manage image galleries for your infinitas powered site',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:15:58',
				'modified' => '2011-07-25 13:49:42'
			),
			array(
				'id' => '4ce009fa-a76c-49f4-a488-120b6318cd70',
				'internal_name' => 'Blog',
				'name' => 'Blog',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:blog',
				'description' => 'A blogging platform for your Infinitas powered website',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.2',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:15:54',
				'modified' => '2011-07-25 14:36:38'
			),
			array(
				'id' => '4ce00a63-4e10-4cf2-b8d8-120b6318cd70',
				'internal_name' => 'Cms',
				'name' => 'Cms',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:cms',
				'description' => 'Content Management for your Infinitas powered website',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:15:55',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4ce1695f-5488-4a9f-a5b8-1e806318cd70',
				'internal_name' => 'ViewCounter',
				'name' => 'ViewCounter',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:view_counter',
				'description' => 'Count the number of views a row has generated with some reporting available as modules in any plugin',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 0,
				'created' => '2011-05-25 11:16:04',
				'modified' => '2011-08-09 14:41:00'
			),
			array(
				'id' => '4ce2a40a-5d8c-4157-b39e-133c6318cd70',
				'internal_name' => 'Configs',
				'name' => 'Configs',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:configs',
				'description' => 'Manage your websites configuration options from the backend',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:55',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4ce2a9b1-d348-4200-8828-15fb6318cd70',
				'internal_name' => 'Contents',
				'name' => 'Contents',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:contents',
				'description' => 'Manage all the content on your Infinitas powered website',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:56',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4cfe3fcf-600c-4ae2-b655-1bbd6318cd70',
				'internal_name' => 'Crons',
				'name' => 'Crons',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:crons',
				'description' => 'Crons plugin manages cronjobs for your application',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.1',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:15:56',
				'modified' => '2011-07-25 13:49:41'
			),
			array(
				'id' => '4cfe4015-e438-488f-95bb-1bbd6318cd70',
				'internal_name' => 'ServerStatus',
				'name' => 'ServerStatus',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:server_status',
				'description' => 'The server status plugin monitors your servers usage, with the ability to notify via email if anything strange is happening',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8.2',
				'active' => 1,
				'core' => 1,
				'created' => '2011-05-25 11:16:03',
				'modified' => '2011-08-09 14:40:59'
			),
			array(
				'id' => '4e286dc3-4454-4526-af0a-18876318cd70',
				'internal_name' => 'Charts',
				'name' => 'Charts',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:charts',
				'description' => 'Chart engine used to do the bulk of the work, making it easy to integrate your own custom chart libs\'',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 1,
				'created' => '2011-07-25 14:00:21',
				'modified' => '2011-07-25 14:00:21'
			),
			array(
				'id' => '4e286eaa-0364-49b2-b6f2-18876318cd70',
				'internal_name' => 'ClearCache',
				'name' => 'ClearCache',
				'author' => 'Ceeram',
				'website' => 'MIT',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:clear_cache',
				'description' => 'Simple plugin to help clear cache',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 0,
				'created' => '2011-07-25 14:00:21',
				'modified' => '2011-07-25 14:00:21'
			),
			array(
				'id' => '4e286f53-c380-4930-8c94-18876318cd70',
				'internal_name' => 'Dev',
				'name' => 'Dev',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:dev',
				'description' => 'Collection of libs and helpers to make development easier. Things like profiling, debugging and more\'',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 0,
				'created' => '2011-07-25 14:00:21',
				'modified' => '2011-07-25 14:00:21'
			),
			array(
				'id' => '4e286fd1-2a3c-4775-9a87-18876318cd70',
				'internal_name' => 'Facebook',
				'name' => 'Facebook',
				'author' => 'webtechnick',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:facebook',
				'description' => 'webtechnicks great Facebook plugin for cake, converted to run on infinitas without having to change any code\'',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 0,
				'created' => '2011-07-25 14:00:21',
				'modified' => '2011-07-25 14:00:21'
			),
			array(
				'id' => '4e2871cd-90c0-431c-9eee-18876318cd70',
				'internal_name' => 'Geshi',
				'name' => 'Geshi',
				'author' => 'markstory',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:geshi',
				'description' => 'A syntax highligher for infinitas',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 1,
				'core' => 0,
				'created' => '2011-07-25 14:00:21',
				'modified' => '2011-07-25 14:00:21'
			),
			array(
				'id' => '4e287521-1b64-4feb-9e16-21136318cd70',
				'internal_name' => 'Security',
				'name' => 'Security',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:security',
				'description' => 'This plugin handles the security aspects of the site. Things like how authentication works and blocking brute force logins\'',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 0,
				'core' => 1,
				'created' => '2011-07-25 14:00:21',
				'modified' => '2011-07-25 14:00:21'
			),
			array(
				'id' => '4e28766e-9c54-40a6-818a-224c6318cd70',
				'internal_name' => 'Trash',
				'name' => 'Trash',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:trash',
				'description' => 'Plugin to manage the deleted data on your site',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 0,
				'core' => 0,
				'created' => '2011-07-25 14:00:22',
				'modified' => '2011-07-25 14:00:22'
			),
			array(
				'id' => '4e28772d-3420-468b-8cf0-23506318cd70',
				'internal_name' => 'Xhprof',
				'name' => 'Xhprof',
				'author' => 'Infinitas',
				'website' => 'http://infinitas-cms.org',
				'update_url' => 'infinitas-cms.org/plugins/version/plugin:xhprof',
				'description' => 'Xhprof profiling for your site to help debug issues and speed things up',
				'license' => 'MIT',
				'dependancies' => '[]',
				'version' => '0.8',
				'active' => 0,
				'core' => 0,
				'created' => '2011-07-25 14:00:22',
				'modified' => '2011-07-25 14:00:22'
			),
		);
	}